GET
market*stringToken identifier (market) to query.
startTs?integerStart of the time range (unix timestamp in seconds). Required when interval is absent.
Format
int64endTs?integerEnd of the time range (unix timestamp in seconds). Defaults to now when omitted.
Format
int64interval?stringPreset time window to query. Cannot be used with startTs/endTs. all is accepted as an alias for max and uses 12h buckets aligned to 00:00/12:00 UTC.
Value in
"1m""5m""15m""1h""6h""1d""1w""max""all"fidelity?integerBucket size in minutes when using explicit timestamps. Auto-calculated when omitted and rounded up to the nearest supported step (1m, 5m, 30m, 3h, 12h).
Format
int32Range
1 <= valueTime series of midpoint prices
application/json- response
history*array<>curl -X GET 'https://clob-staging.kuest.com/prices-history?market=string'{ "history": [ { "t": 0, "p": 0 } ]}